### Method

# FwupdPlugin Device set_private_flags

since: 1.6.2

#### Declaration [src]

    void
    fu_device_set_private_flags (
      FuDevice* self,
      guint64 flag
    )

#### Description [src]

Sets private flags that can be used by the plugin for any purpose.

Available since: 1.6.2

Sets property | `FwupdPlugin.Device:private-flags`

#### Parameters

`flag`

  Type: `guint64`

  Flags.